View Issue Details

IDProjectCategoryView StatusLast Update
0002501PartDesignBugpublic2017-03-20 09:45
Reporterickby 
Assigned Toickby 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0002501: Mirror feature don't accept datum plane
DescriptionThe mirror feature currently does not work with datum planes, they can not be choosen in the dialog or be selected in the 3d view. This also holds for Multitransform including mirror features.
Steps To Reproduce1. Create a datum plane
2. Create an additive or subtractive feature which can be mirrored in respect to the datum plane
3. Mirror the feature via Mirror pattern tool
4. Select datum plane as mirror plane
TagsNo tags attached.

Relationships

related to 0002862 new Check for shape type before using selection as base feature 
related to 0002941 closedDeepSOIC Part Design NEXT Polar array does not allow to select a datum line as reference 
related to 0002863 assignedickby Add Mirror body feature to PartDesign 
related to 0002859 closedDeepSOIC unable to use datum plane as external reference 

Activities

There are no notes attached to this issue.
2016-04-14 06:42ickbyNew Issue
2016-04-14 06:42ickbyStatusnew => assigned
2016-04-14 06:42ickbyAssigned To => ickby
2017-03-02 18:17Kunda1Relationship addedrelated to 0002863
2017-03-17 18:46Kunda1Relationship addedrelated to 0002859
2017-03-17 18:47Kunda1Relationship addedrelated to 0002862
2017-03-17 18:47Kunda1Relationship addedrelated to 0002941
2017-03-20 09:43wmayerChangeset attached => FreeCAD master 0d81472f
2017-03-20 09:45wmayerStatusassigned => closed
2017-03-20 09:45wmayerResolutionopen => fixed
2017-03-20 09:45wmayerFixed in Version => 0.17

Related Changesets

FreeCAD: master 0d81472f

2017-03-12 20:01:20

DeepSOIC


Committer: yorik Details Diff
PartDesign: fix non-selectable datum features
mod - src/Mod/PartDesign/Gui/TaskDatumParameters.cpp Diff File

Issue History

Date Modified Username Field Change
2016-04-14 06:42 ickby New Issue
2016-04-14 06:42 ickby Status new => assigned
2016-04-14 06:42 ickby Assigned To => ickby
2017-03-02 18:17 Kunda1 Relationship added related to 0002863
2017-03-17 18:46 Kunda1 Relationship added related to 0002859
2017-03-17 18:47 Kunda1 Relationship added related to 0002862
2017-03-17 18:47 Kunda1 Relationship added related to 0002941
2017-03-20 09:43 wmayer Changeset attached => FreeCAD master 0d81472f
2017-03-20 09:45 wmayer Status assigned => closed
2017-03-20 09:45 wmayer Resolution open => fixed
2017-03-20 09:45 wmayer Fixed in Version => 0.17